View Issue Details

IDProjectCategoryView StatusLast Update
0026400LazarusIDEpublic2020-06-06 20:36
ReporterReinier OlislagersAssigned ToMartin Friebe  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Platformx64 (with x86 compiler)OSWindows 
Product Version1.3 (SVN) 
Summary0026400: [Feature request] move Tools/Options/Debugger/Language Exceptions to Project/Project Options
DescriptionTools/Options/Debugger/Language Exceptions lets you ignroe exception classes when running under the debugger.

(At least part of) these are project-specific and IMO should be moved to an entry in Project Options, perhaps under Debugger or a new entry Debugger Ignores.
Tagsdebugger, exceptions, options, Project Options
Fixed in Revision
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0025738 assignedMartin Friebe Debugger should be moved to Project Properties. 

Activities

Michael Van Canneyt

2014-06-27 13:49

administrator   ~0075899

I agree with Reinier, and I would even be tempted to say that these should be stored in the session, not in the project.

Martin Friebe

2014-06-27 14:24

manager   ~0075901

Actually all can be useful: Global, Project and Session.

Martin Friebe

2020-06-06 20:36

manager   ~0123278

fixed in the meantime...

Language exceptions are now under project options

Issue History

Date Modified Username Field Change
2014-06-27 13:43 Reinier Olislagers New Issue
2014-06-27 13:45 Reinier Olislagers Tag Attached: debugger
2014-06-27 13:45 Reinier Olislagers Tag Attached: options
2014-06-27 13:45 Reinier Olislagers Tag Attached: Project Options
2014-06-27 13:45 Reinier Olislagers Tag Attached: exceptions
2014-06-27 13:49 Michael Van Canneyt Note Added: 0075899
2014-06-27 14:24 Martin Friebe Note Added: 0075901
2014-09-17 19:49 Marco van de Voort Severity minor => feature
2014-09-23 10:22 Reinier Olislagers Relationship added related to 0025738
2020-06-06 20:36 Martin Friebe Assigned To => Martin Friebe
2020-06-06 20:36 Martin Friebe Status new => resolved
2020-06-06 20:36 Martin Friebe Resolution open => fixed
2020-06-06 20:36 Martin Friebe Widgetset Win32/Win64 => Win32/Win64
2020-06-06 20:36 Martin Friebe Note Added: 0123278